std::negate< void > Struct Reference
Utilities » Function Objects » Arithmetic Function Object Classes

`#include <stl_function.h>`

Inheritance diagram for std::negate< void >:
[legend]

## Public Types

typedef void | argument_type
typedef __is_transparent | is_transparent
typedef void | result_type

## Public Member Functions

template<typename _Tp>
constexpr auto | operator() (_Tp &&__t) const noexcept(noexcept(-std::forward< _Tp >(__t))) -> decltype(-std::forward< _Tp >(__t))

## Detailed Description

One of the math functors.

Definition at line 324 of file stl_function.h.

## Member Typedef Documentation

## argument_type

typedef void std::unary_function< void, void >::argument_type

`argument_type` is the type of the argument

Definition at line 123 of file stl_function.h.

## is_transparent

typedef __is_transparent std::negate< void >::is_transparent

Definition at line 334 of file stl_function.h.

## result_type

typedef void std::unary_function< void, void >::result_type

`result_type` is the return type

Definition at line 126 of file stl_function.h.

## Member Function Documentation

## operator()()

template<typename _Tp>

auto std::negate< void >::operator() | ( | _Tp && | __t | ) | const->decltype(-std::forward< _Tp >(__t))

inline constexpr noexcept

Definition at line 329 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h